Subject: Re: [PATCH v2 2/2] phy dp83867: Make rgmii parameters optional

From: Dan Murphy <[email-masked]>
Date: Tue, 17 May 2016 15:40:01 -0500

On 05/17/2016 03:37 PM, Alexander Graf wrote:
> Hi David,
>
>> Am 17.05.2016 um 20:48 schrieb David Miller <[email-masked]>:
>>
>> From: Dan Murphy <[email-masked]>
>> Date: Tue, 17 May 2016 13:34:34 -0500
>>
>>> David
>>>
>>>> On 05/17/2016 01:22 PM, David Miller wrote:
>>>> From: Alexander Graf <[email-masked]>
>>>> Date: Mon, 16 May 2016 20:52:43 +0200
>>>>
>>>>> If you compile without OF_MDIO support in an RGMII configuration, we fail
>>>>> to configure the dp83867 phy today by writing garbage into its configuration
>>>>> registers.
>>>>>
>>>>> On the other hand if you do compile with OF_MDIO and the phy gets loaded via
>>>>> device tree, you have to have the properties set in the device tree, otherwise
>>>>> we fail to load the driver and don't even attach the generic phy driver to
>>>>> the interface anymore.
>>>>>
>>>>> To make things slightly more consistent, make the rgmii configuration properties
>>>>> optional and allow a user to omit them in their device tree.
>>>>>
>>>>> Signed-off-by: Alexander Graf <[email-masked]>
>>>> Applied.
>>> This patch should not have been applied.
>>>
>>> I did not believe the implementation was proper for that driver.
>>>
>>> It seems my objection to the code was not seen.  Nor was Andrew's point about the DT bindings document
>>>
>>> https://patchwork.kernel.org/patch/9105371/
>> The discussions around the recent phy patches have been a labrynth that I've
>> found hard to follow, sorry.
>>
>> I'll revert these two, sigh....
> The first patch is an obvious and correct fix. Discussions were only about the second one (which I'm happy to drop given the rat hole this turned out to be).

So are you going to abandon the second patch all together?
If you do, let me know I can submit a patch.

Dan
> Alex

-- 
------------------
Dan Murphy